Lua_GameplayRulesWindow = class("Lua_GameplayRulesWindow", Lua_Window)
function Lua_GameplayRulesWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_GameplayRulesWindow";
	self.skinName = "GameplayRulesWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_GameplayRulesWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.ruleContainer = Lua_DragContainer.new(self.content, 564, 760, Lua_AxisDefine.Vertical);
	self.ruleContainer:setLocation(0, -30, 0);
end

function Lua_GameplayRulesWindow:dispose()
	if self.ruleContainer then
		self.ruleContainer:dispose();
		self.ruleContainer = nil;
	end
	self:superCall("dispose");
end

function Lua_GameplayRulesWindow:showWin(param)
	self:superCall("showWin", param);
	self.ruleContainer:clearList();
	for i = 1, #param do
		self.ruleContainer:addSubContainer(Lua_GameplayRulesItem, param[i]);
	end
	self.ruleContainer:updateChildPos();
end










Lua_GameplayRulesItem = class("Lua_GameplayRulesItem", Lua_DragContainerItem)
function Lua_GameplayRulesItem:ctor(p)
	self:superCall("ctor", p, "GameplayRulesItem_skin");
end

function Lua_GameplayRulesItem:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_GameplayRulesItem:dispose()
	self:superCall("dispose");
end

function Lua_GameplayRulesItem:setData(data)
	self.titleText.text = data.title;
	self.contentText.text = data.content;
	self.contentText:resetSize();
end

function Lua_GameplayRulesItem:getWidth()
	return 564;
end

function Lua_GameplayRulesItem:getHeight()
	return self.contentText.preferredHeight + 80;
end