-- 战技 技能Tip Window
checkRequire("Lua_SkillTipsWindow");
Lua_HeroCharmSkillTipsWindow = class("Lua_HeroCharmSkillTipsWindow", Lua_SkillTipsWindow);

function Lua_HeroCharmSkillTipsWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_HeroCharmSkillTipsWindow";
end

function Lua_HeroCharmSkillTipsWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.demountBtn = UICreate.createButton(self.content, "卸下", -100, -90, 141, 54);
	self.demountBtn:setStyle(14);
	self.demountBtn.txt.fontSize = 28;
	self.demountBtn.txt:setLocation(0, 0, 0);
	self.demountBtn:addClickFuntion(self, self.onDemountBtnClick);

	self.changeBtn = UICreate.createButton(self.content, "替换", 100, -90, 141, 54);
	self.changeBtn:setStyle(14);
	self.changeBtn.txt.fontSize = 28;
	self.changeBtn.txt:setLocation(0, 0, 0);
	self.changeBtn:addClickFuntion(self, self.onChangeBtnClick);
end

function Lua_HeroCharmSkillTipsWindow:dispose()
	if self.demountBtn ~= nil then
		self.demountBtn:dispose();
		self.demountBtn = nil;
	end
	if self.changeBtn ~= nil then
		self.changeBtn:dispose();
		self.changeBtn = nil;
	end
	self:superCall("dispose");
end

function Lua_HeroCharmSkillTipsWindow:showWin(param)
	self:superCall("showWin", param);

	self.charmUid = param.charmUid;
	self.idx = param.idx;

	self.show_h = self.show_h - 60;
	LuaUtil.setObjPos(self.showObj, 0, Mathf.Abs(self.show_h / 2), 0);
	self.winBg:SetDimensions(435, Mathf.Abs(self.show_h) + 40);

	self.demountBtn:setLocation(-100, self.show_h / 2 + 30);
	self.changeBtn:setLocation(100, self.show_h / 2 + 30);
end

function Lua_HeroCharmSkillTipsWindow:onDemountBtnClick()
	if self.charmUid == nil then return end
	Lua_ProxyManager.getProxy("Lua_HeroCharmProxy"):sCharmSkillChange(self.charmUid, self.idx, 0);
	self:hide();
end

function Lua_HeroCharmSkillTipsWindow:onChangeBtnClick()
	if self.charmUid == nil then return end
	local charmVo = DataCenter.packData:getItemVoByUnId(self.charmUid);
	local param = {charmVo = charmVo, idx = self.idx};
	Lua_WindowUtil.openWin("Lua_HeroCharmSkillSelectWindow", Lua_WinParam.ACTION_OPEN, param);
	self:hide();
end