-- 举报、黑名单选项
Lua_PlayerInfoTipWindow = class("Lua_PlayerInfoTipWindow", Lua_TipsBaseWindow);
function Lua_PlayerInfoTipWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_PlayerInfoTipWindow";
end

function Lua_PlayerInfoTipWindow:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_PlayerInfoTipWindow:onScreenResize(adaptHeight)
	self:superCall("onScreenResize", adaptHeight);
end

function Lua_PlayerInfoTipWindow:dispose()
	self:superCall("dispose");
end

function Lua_PlayerInfoTipWindow:updateWin()
	local value = self.h - 408
	self:createTitleName(self.titleNamePosX, self.titleNamePosY + value)
	self:createTitleDeco(self.titleNamePosY + value)
	self:createBtnClose(self.btnClosePosX, self.btnClosePosY + value, 0, self.btnCloseAtlas, self.btnCloseSprite)


	self.btnCancel:setLocation(0, -25, 0);
	self.btnSure:setLocation(0, -114, 0);
end

function Lua_PlayerInfoTipWindow:showWin(param)
	self:superCall("showWin", param)

	self.owner = param.owner;
	self.cancelFun = param.cancelFun;
	self.sureFun = param.sureFun;

	self.btnSure.label = param.sureLabel;
	self.btnCancel.label = param.cancelLabel;
	self.btnCancel:setStyle(1);

	local font_size = self.showData.font_size == nil and 27 or self.showData.font_size;
	local pivot = self.showData.pivot == nil and Lua_WindowUtil.getPivot(4) or self.showData.pivot;
	local alignmentValue = self.showData.alignmentValue == nil and 4 or self.showData.alignmentValue;
	local width;
	local height;
	local posX;
	local posY;
	if self.showData.des == nil then
		if self.des ~= nil then
			self.des:setEnable(false);
		end
	else
		if self.des == nil then
			self.des = UICreate.createLabel(self.content, nil, 0, 0, 100, 40, font_size);
			self.des.colorStr = Lua_ColorDefine.transColorStr("726763");
		end
		self.des:setEnable(true);
		self.des:SetDimensions(100, 40);
		self.des.pivot = pivot;
		self.des.alignmentValue = alignmentValue;
		self.des.horizontalOverflowValue = 1;
		self.des.verticalOverflowValue = 1;
		if type(self.showData.des) == type_str_number then
			self.des:setLangValue(self.showData.des);
		else
			self.des.text = self.showData.des;
		end
		self.des:resetSize();

		width = self.showData.width == nil and self.w - 104 or self.showData.width;
		height = self.showData.height == nil and 40 or self.showData.height;
		if self.des.width >= width then
			self.des.alignmentValue = 3;
			self.des.horizontalOverflowValue = 0;
			self.des:SetDimensions(width, height);
		end

		posX = self.showData.posX == nil and 0 or self.showData.posX;
		posY = self.showData.posY == nil and 8.5 or self.showData.posY;
		self.des:setLocation(posX, posY, 0);
	end

	if self.showData.secDes == nil then
		if self.secDes ~= nil then
			self.secDes:setEnable(false);
		end
	else
		if self.secDes == nil then
			self.secDes = UICreate.createLabel(self.content, nil, 0, 0, 100, 40, font_size);
			self.secDes.colorStr = Lua_ColorDefine.transColorStr("726763");
		end
		self.secDes:setEnable(true);
		self.secDes:SetDimensions(100, 40);
		self.secDes.pivot = pivot;
		self.secDes.alignmentValue = alignmentValue;
		self.secDes.horizontalOverflowValue = 1;
		self.secDes.verticalOverflowValue = 1;
		self.secDes.text = self.showData.secDes;
		self.secDes:resetSize();

		width = self.showData.secDesW == nil and self.w - 103 or self.showData.secDesW;
		height = self.showData.secDesH == nil and 40 or self.showData.secDesH;
		if self.secDes.width >= width then
			self.secDes.alignmentValue = 3;
			self.secDes.horizontalOverflowValue = 0;
			self.secDes:SetDimensions(width, height);
		end

		posX = self.showData.secDesPosX == nil and 0 or self.showData.secDesPosX;
		posY = self.showData.secDesPosY == nil and 8.5 or self.showData.secDesPosY;
		self.secDes:setLocation(posX, posY, 0);
	end
end

function Lua_PlayerInfoTipWindow:onCancelClick(go)
	if self.owner ~= nil and self.cancelFun ~= nil then
		self.cancelFun(self.owner);
	end

	self:hide();
end

function Lua_PlayerInfoTipWindow:onSureClick(go)
	if self.owner ~= nil and self.sureFun ~= nil then
		self.sureFun(self.owner);
	end
	
	self:hide();
end

function Lua_PlayerInfoTipWindow:hide()
	self.owner = nil;
	self.sureFun = nil;
	self.cancelFun = nil;
	self:superCall("hide")
end